### Hierarchy

- BinaryParser

## Index

### Constructors

- constructor

### Properties

- allowExceptions
- bigEndian
- logger

### Methods

- decodeFloat
- decodeInt
- decode_utf8
- encodeFloat
- encodeInt
- encode_cstring
- encode_int32
- encode_int64
- encode_utf8
- fromByte
- fromDWord
- fromDouble
- fromFloat
- fromInt
- fromLong
- fromQWord
- fromShort
- fromSmall
- fromWord
- generate12string
- hlprint
- hprint
- ilprint
- toByte
- toDWord
- toDouble
- toFloat
- toInt
- toLong
- toQWord
- toShort
- toSmall
- toWord
- decode_utf8
- encode_cstring
- encode_int32
- encode_int64
- encode_utf8
- fromByte
- fromDWord
- fromDouble
- fromFloat
- fromInt
- fromLong
- fromQWord
- fromShort
- fromSmall
- fromWord
- hlprint
- hprint
- ilprint
- toByte
- toDWord
- toDouble
- toFloat
- toInt
- toLong
- toQWord
- toShort
- toSmall
- toWord

## Constructors

### constructor

- new BinaryParser(bigEndian?: boolean, allowExceptions?: boolean): BinaryParser

- - Defined in binary/BinaryParser.ts:18

  #### Parameters

  - ##### Default value bigEndian: boolean = false

  - ##### Default value allowExceptions: boolean = true

  #### Returns BinaryParser

## Properties

### Private allowExceptions

allowExceptions: boolean

- Defined in binary/BinaryParser.ts:18

### Private bigEndian

bigEndian: boolean

- Defined in binary/BinaryParser.ts:17

### Protected logger

logger: JSWLogger

- Defined in binary/BinaryParser.ts:15

## Methods

### decodeFloat

- decodeFloat(data: string | number, precisionBits: number, exponentBits: number): number

- - Defined in binary/BinaryParser.ts:41

  #### Parameters

  - ##### data: string | number

  - ##### precisionBits: number

  - ##### exponentBits: number

  #### Returns number

### decodeInt

- decodeInt(data: string | number, bits: number, signed: boolean, forceBigEndian?: boolean): number

- - Defined in binary/BinaryParser.ts:142

  #### Parameters

  - ##### data: string | number

  - ##### bits: number

  - ##### signed: boolean

  - ##### Optional forceBigEndian: boolean

  #### Returns number

### decode_utf8

- decode_utf8(binaryStr: string): string

- - Defined in binary/BinaryParser.ts:514

  UTF8 methods

  #### Parameters

  - ##### binaryStr: string

  #### Returns string

### encodeFloat

- encodeFloat(data: number, precisionBits: number, exponentBits: number): string

- - Defined in binary/BinaryParser.ts:160

  #### Parameters

  - ##### data: number

  - ##### precisionBits: number

  - ##### exponentBits: number

  #### Returns string

### encodeInt

- encodeInt(data: number, bits: number, signed: boolean, forceBigEndian?: boolean): string

- - Defined in binary/BinaryParser.ts:364

  #### Parameters

  - ##### data: number

  - ##### bits: number

  - ##### signed: boolean

  - ##### Optional forceBigEndian: boolean

  #### Returns string

### encode_cstring

- encode_cstring(s: string | number): string

- - Defined in binary/BinaryParser.ts:550

  #### Parameters

  - ##### s: string | number

  #### Returns string

### encode_int32

- encode_int32(num: number, asArray?: boolean): Array<string> | string

- - Defined in binary/BinaryParser.ts:457

  #### Parameters

  - ##### num: number

  - ##### Default value asArray: boolean = false

  #### Returns Array<string> | string

### encode_int64

- encode_int64(num: number): string

- - Defined in binary/BinaryParser.ts:477

  #### Parameters

  - ##### num: number

  #### Returns string

### encode_utf8

- encode_utf8(s: string): string

- - Defined in binary/BinaryParser.ts:558

  #### Parameters

  - ##### s: string

  #### Returns string

### fromByte

- fromByte(data: number): string

- - Defined in binary/BinaryParser.ts:416

  #### Parameters

  - ##### data: number

  #### Returns string

### fromDWord

- fromDWord(data: number): string

- - Defined in binary/BinaryParser.ts:426

  #### Parameters

  - ##### data: number

  #### Returns string

### fromDouble

- fromDouble(data: number): string

- - Defined in binary/BinaryParser.ts:432

  #### Parameters

  - ##### data: number

  #### Returns string

### fromFloat

- fromFloat(data: number): string

- - Defined in binary/BinaryParser.ts:430

  #### Parameters

  - ##### data: number

  #### Returns string

### fromInt

- fromInt(data: number): string

- - Defined in binary/BinaryParser.ts:422

  #### Parameters

  - ##### data: number

  #### Returns string

### fromLong

- fromLong(data: number): string

- - Defined in binary/BinaryParser.ts:424

  #### Parameters

  - ##### data: number

  #### Returns string

### fromQWord

- fromQWord(data: number): string

- - Defined in binary/BinaryParser.ts:428

  #### Parameters

  - ##### data: number

  #### Returns string

### fromShort

- fromShort(data: number): string

- - Defined in binary/BinaryParser.ts:418

  #### Parameters

  - ##### data: number

  #### Returns string

### fromSmall

- fromSmall(data: number): string

- - Defined in binary/BinaryParser.ts:414

  #### Parameters

  - ##### data: number

  #### Returns string

### fromWord

- fromWord(data: number): string

- - Defined in binary/BinaryParser.ts:420

  #### Parameters

  - ##### data: number

  #### Returns string

### generate12string

- generate12string(): string

- - Defined in binary/BinaryParser.ts:34

  Generate a 12 byte id string used in ObjectId"s

  method

    BinaryParser#generate12string

  #### Returns string

  The 12 byte id binary string.

### hlprint

- hlprint(s: string): number

- - Defined in binary/BinaryParser.ts:626

  #### Parameters

  - ##### s: string

  #### Returns number

### hprint

- hprint(s: string): number

- - Defined in binary/BinaryParser.ts:582

  #### Parameters

  - ##### s: string

  #### Returns number

### ilprint

- ilprint(s: string): number

- - Defined in binary/BinaryParser.ts:604

  #### Parameters

  - ##### s: string

  #### Returns number

### toByte

- toByte(data: number | string): number

- - Defined in binary/BinaryParser.ts:415

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toDWord

- toDWord(data: number | string): number

- - Defined in binary/BinaryParser.ts:425

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toDouble

- toDouble(data: number | string): number

- - Defined in binary/BinaryParser.ts:431

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toFloat

- toFloat(data: number | string): number

- - Defined in binary/BinaryParser.ts:429

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toInt

- toInt(data: number | string): number

- - Defined in binary/BinaryParser.ts:421

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toLong

- toLong(data: number | string): number

- - Defined in binary/BinaryParser.ts:423

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toQWord

- toQWord(data: number | string): number

- - Defined in binary/BinaryParser.ts:427

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toShort

- toShort(data: number | string): number

- - Defined in binary/BinaryParser.ts:417

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toSmall

- toSmall(data: number | string): number

- - Defined in binary/BinaryParser.ts:413

  #### Parameters

  - ##### data: number | string

  #### Returns number

### toWord

- toWord(data: number | string): number

- - Defined in binary/BinaryParser.ts:419

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static decode_utf8

- decode_utf8(binaryStr: string): string

- - Defined in binary/BinaryParser.ts:547

  #### Parameters

  - ##### binaryStr: string

  #### Returns string

### Static encode_cstring

- encode_cstring(s: string | number): string

- - Defined in binary/BinaryParser.ts:555

  #### Parameters

  - ##### s: string | number

  #### Returns string

### Static encode_int32

- encode_int32(num: number, asArray?: boolean): Array<string> | string

- - Defined in binary/BinaryParser.ts:475

  #### Parameters

  - ##### num: number

  - ##### Default value asArray: boolean = false

  #### Returns Array<string> | string

### Static encode_int64

- encode_int64(num: number): string

- - Defined in binary/BinaryParser.ts:507

  #### Parameters

  - ##### num: number

  #### Returns string

### Static encode_utf8

- encode_utf8(s: string): string

- - Defined in binary/BinaryParser.ts:580

  #### Parameters

  - ##### s: string

  #### Returns string

### Static fromByte

- fromByte(data: number): string

- - Defined in binary/BinaryParser.ts:438

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromDWord

- fromDWord(data: number): string

- - Defined in binary/BinaryParser.ts:448

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromDouble

- fromDouble(data: number): string

- - Defined in binary/BinaryParser.ts:454

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromFloat

- fromFloat(data: number): string

- - Defined in binary/BinaryParser.ts:452

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromInt

- fromInt(data: number): string

- - Defined in binary/BinaryParser.ts:444

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromLong

- fromLong(data: number): string

- - Defined in binary/BinaryParser.ts:446

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromQWord

- fromQWord(data: number): string

- - Defined in binary/BinaryParser.ts:450

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromShort

- fromShort(data: number): string

- - Defined in binary/BinaryParser.ts:440

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromSmall

- fromSmall(data: number): string

- - Defined in binary/BinaryParser.ts:436

  #### Parameters

  - ##### data: number

  #### Returns string

### Static fromWord

- fromWord(data: number): string

- - Defined in binary/BinaryParser.ts:442

  #### Parameters

  - ##### data: number

  #### Returns string

### Static hlprint

- hlprint(s: string): number

- - Defined in binary/BinaryParser.ts:646

  #### Parameters

  - ##### s: string

  #### Returns number

### Static hprint

- hprint(s: string): number

- - Defined in binary/BinaryParser.ts:602

  #### Parameters

  - ##### s: string

  #### Returns number

### Static ilprint

- ilprint(s: string): number

- - Defined in binary/BinaryParser.ts:624

  #### Parameters

  - ##### s: string

  #### Returns number

### Static toByte

- toByte(data: number | string): number

- - Defined in binary/BinaryParser.ts:437

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toDWord

- toDWord(data: number | string): number

- - Defined in binary/BinaryParser.ts:447

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toDouble

- toDouble(data: number | string): number

- - Defined in binary/BinaryParser.ts:453

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toFloat

- toFloat(data: number | string): number

- - Defined in binary/BinaryParser.ts:451

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toInt

- toInt(data: number | string): number

- - Defined in binary/BinaryParser.ts:443

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toLong

- toLong(data: number | string): number

- - Defined in binary/BinaryParser.ts:445

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toQWord

- toQWord(data: number | string): number

- - Defined in binary/BinaryParser.ts:449

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toShort

- toShort(data: number | string): number

- - Defined in binary/BinaryParser.ts:439

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toSmall

- toSmall(data: number | string): number

- - Defined in binary/BinaryParser.ts:435

  #### Parameters

  - ##### data: number | string

  #### Returns number

### Static toWord

- toWord(data: number | string): number

- - Defined in binary/BinaryParser.ts:441

  #### Parameters

  - ##### data: number | string

  #### Returns number

Generated using TypeDoc